Update org defaults settings
PATCH /api/organizations/{org_id}/settings
Update org-default settings for a specific organization.
Parameters
| Name | In | Type | Required | Description |
|---|
org_id | path | `string | null` | yes |
X-Org-Id | header | `string | null` | no |
Request body
| Field | Type | Required | Description |
|---|
name | `string | null` | no |
contact_name | `string | null` | no |
contact_email | `string | null` | no |
conversation_expiration | `integer | null` | no |
remote_runtime_resource_factor | `integer | null` | no |
billing_margin | `number | null` | no |
enable_proactive_conversation_starters | `boolean | null` | no |
sandbox_base_container_image | `string | null` | no |
sandbox_runtime_container_image | `string | null` | no |
sandbox_api_key | `string | null` | no |
max_budget_per_task | `number | null` | no |
v1_enabled | `boolean | null` | no |
search_api_key | `string | null` | no |
llm_api_key | `string | null` | no |
agent_settings_diff | `object | null` | no |
conversation_settings_diff | `object | null` | no |
Responses
| Status | Description |
|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|
agent_settings | `FaheemCodeAgentSettings | LLMAgentSettings | ACPAgentSettings` |
conversation_settings | ConversationSettings | no | — |
llm_api_key_set | boolean | no | — |
search_api_key | `string | null` | no |
Operation ID: update_org_defaults_settings_api_organizations__org_id__settings_patch